Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
캠페인 정보를 조회합니다.
엑세스 제어:
cURL
curl --request GET \ --url https://your_a2_service/campaigns/{id} \ --header 'Authorization: Bearer <token>'
import requests url = "https://your_a2_service/campaigns/{id}" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://your_a2_service/campaigns/{id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://your_a2_service/campaigns/{id}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://your_a2_service/campaigns/{id}" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://your_a2_service/campaigns/{id}") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://your_a2_service/campaigns/{id}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "bid_strategy": "highest_volume", "end_date": "<string>", "goal": "click", "name": "<string>", "no": 123, "owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "start_date": "<string>", "status": "okay", "audience_segments": {}, "budget": 0, "created_at": "2023-11-07T05:31:56Z", "crid": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "daily_budget": 123, "description": "<string>", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "max_bid": 0, "min_daily_imp": 1000, "sub_goal": "<string>", "tagid": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "target_cpa": 0, "target_cpm": 0, "target_volume": 0, "updated_at": "2023-11-07T05:31:56Z" }
{ "detail": "<string>" }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>" } ] }
The access token received from the authorization server in the OAuth 2.0 flow.
캠페인 ID
Successful Response
캠페인의 모든 속성을 정의한 스키마
캠페인을 위한 입찰 전략
highest_volume
bid_cap
캠페인의 종료 일시 (UTC 시간 사용 권장)
캠페인 목표
click
reach
impression
conversion
캠페인 이름
캠페인의 소유자 id
캠페인의 시작 일시 (UTC 시간 사용 권장)
캠페인 상태 정보
okay
preparing
ready
archived
타겟팅을 위한 오디언스 세그먼트 목록
캠페인의 총 예산
생성 일시
캠페인의 설명
캠페인의 id
최대 입찰가 (입찰 전략을 maximize_volume으로 설정한 경우에만 유효함)
maximize_volume
x >= 0
내부 사용 목적
x >= 1000
캠페인 세부 목표
결과당 목표 비용
1000번 노출당 지출하기 윈하는 희망가 (세부목표를 target_cpm으로 설정한 경우에만 유효함)
target_cpm
캠페인 기간 내에 보장받을 노출수 (세부목표를 target_volume으로 설정한 경우에만 유효함)
target_volume
변경 일시
이 페이지가 도움이 되었나요?